Reports

Read the workspace financial summary report

Read the workspace financial summary report.

GET/v1/reports/summary

Query parameters

start string

Calendar date in YYYY-MM-DD format for the reporting period.

Maximum length: 10 characters.

Example2026-01-15
end string

Calendar date in YYYY-MM-DD format for the reporting period.

Maximum length: 10 characters.

Example2026-01-15
range string

Optional range filter or query option.

Allowed values: "all"

Exampleall
timezone string

Optional timezone filter or query option.

Maximum length: 100 characters.

ExampleUTC

Headers

authorization string required

Bearer workspace API key.

ExampleBearer $NQD_API_KEY
workspace-id string required

Workspace scope for the request. Required for workspace operations and must belong to the authenticated identity.

Minimum length: 1 character. · Maximum length: 128 characters.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1A

Response

200Success

Response headers

x-request-id string

Correlation identifier returned with every response for support and request tracing.

Example550e8400-e29b-41d4-a716-446655440000
data object

Returned records. Collections and batches use an array; single records use an object.

ShowHide 12 properties
data.cashBalance object

cash balance for this report.

ShowHide 3 properties
data.cashBalance.total number

Total number of records that match the request.

Example100
data.cashBalance.inbound number

inbound within cash balance.

Example100
data.cashBalance.outbound number

outbound within cash balance.

Example100
data.forecast object

forecast for this report.

ShowHide 8 properties
data.forecast.unresolved number

unresolved within forecast.

Example100
data.forecast.monthly object[]

monthly within forecast.

ShowHide 2 properties
data.forecast.monthly[].date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.forecast.monthly[].salesNet number

sales net within monthly.

Example100
data.forecast.baseline number

baseline within forecast.

Example100
data.forecast.historyMonths number

history months within forecast.

Example100
data.forecast.model object

model within forecast.

ShowHide 2 properties
data.forecast.model.method string

method within model.

Allowed values: "mean-3", "mean-6", "last-month", "drift"

Examplemean-3
data.forecast.model.error number

Error details returned for a failed request.

Example100
data.forecast.currentMonth object

current month within forecast.

ShowHide 7 properties
data.forecast.currentMonth.date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.forecast.currentMonth.scheduled number

scheduled within current month.

Example100
data.forecast.currentMonth.recurring number

recurring within current month.

Example100
data.forecast.currentMonth.baseline number

baseline within current month.

Example100
data.forecast.currentMonth.actual number

actual within current month.

Example100
data.forecast.currentMonth.remaining number

remaining within current month.

Example0
data.forecast.currentMonth.value number

Value returned by the operation.

Example100
data.forecast.forecast object[]

forecast within forecast.

ShowHide 7 properties
data.forecast.forecast[].date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.forecast.forecast[].scheduled number

scheduled within forecast.

Example100
data.forecast.forecast[].recurring number

recurring within forecast.

Example100
data.forecast.forecast[].baseline number

baseline within forecast.

Example100
data.forecast.forecast[].actual number

actual within forecast.

Example100
data.forecast.forecast[].remaining number

remaining within forecast.

Example0
data.forecast.forecast[].value number

Value returned by the operation.

Example100
data.forecast.total number

Total number of records that match the request.

Example100
data.today string

today for this report.

ExampleConsulting services
data.burnWindow object

burn window for this report.

ShowHide 2 properties
data.burnWindow.start string

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-01
data.burnWindow.end string

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-31
data.burnHistory object[]

burn history for this report.

ShowHide 3 properties
data.burnHistory[].date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.burnHistory[].cashIn number

cash in within burn history.

Example100
data.burnHistory[].cashOut number

cash out within burn history.

Example100
data.previous object

previous for this report.

ShowHide 18 properties
data.previous.invoices object

invoices within previous.

ShowHide 9 properties
data.previous.invoices.pending object

pending within invoices.

ShowHide 4 properties
data.previous.invoices.pending.count number

count within pending.

Example100
data.previous.invoices.pending.net number

Total before tax and other modifiers.

Example100
data.previous.invoices.pending.vat number

Value-added tax amount.

Example100
data.previous.invoices.pending.gross number

Total after tax and other price modifiers.

Example100
data.previous.invoices.draft object

draft within invoices.

ShowHide 4 properties
data.previous.invoices.draft.count number

count within draft.

Example100
data.previous.invoices.draft.net number

Total before tax and other modifiers.

Example100
data.previous.invoices.draft.vat number

Value-added tax amount.

Example100
data.previous.invoices.draft.gross number

Total after tax and other price modifiers.

Example100
data.previous.invoices.paid object

paid within invoices.

ShowHide 4 properties
data.previous.invoices.paid.count number

count within paid.

Example100
data.previous.invoices.paid.net number

Total before tax and other modifiers.

Example100
data.previous.invoices.paid.vat number

Value-added tax amount.

Example100
data.previous.invoices.paid.gross number

Total after tax and other price modifiers.

Example100
data.previous.invoices.overpaid object

overpaid within invoices.

ShowHide 4 properties
data.previous.invoices.overpaid.count number

count within overpaid.

Example100
data.previous.invoices.overpaid.net number

Total before tax and other modifiers.

Example100
data.previous.invoices.overpaid.vat number

Value-added tax amount.

Example100
data.previous.invoices.overpaid.gross number

Total after tax and other price modifiers.

Example100
data.previous.invoices.cancelled object

cancelled within invoices.

ShowHide 4 properties
data.previous.invoices.cancelled.count number

count within cancelled.

Example100
data.previous.invoices.cancelled.net number

Total before tax and other modifiers.

Example100
data.previous.invoices.cancelled.vat number

Value-added tax amount.

Example100
data.previous.invoices.cancelled.gross number

Total after tax and other price modifiers.

Example100
data.previous.invoices.totalCount number

total count within invoices.

Example100
data.previous.invoices.totalNet number

total net within invoices.

Example100
data.previous.invoices.totalVat number

Value-added tax amount.

Example100
data.previous.invoices.totalGross number

total gross within invoices.

Example100
data.previous.recognized object

recognized within previous.

ShowHide 4 properties
data.previous.recognized.count number

count within recognized.

Example100
data.previous.recognized.net number

Total before tax and other modifiers.

Example100
data.previous.recognized.vat number

Value-added tax amount.

Example100
data.previous.recognized.gross number

Total after tax and other price modifiers.

Example100
data.previous.standaloneIncome object

standalone income within previous.

ShowHide 2 properties
data.previous.standaloneIncome.count number

count within standalone income.

Example100
data.previous.standaloneIncome.net number

Total before tax and other modifiers.

Example100
data.previous.payouts object

payouts within previous.

ShowHide 9 properties
data.previous.payouts.pending object

pending within payouts.

ShowHide 4 properties
data.previous.payouts.pending.count number

count within pending.

Example100
data.previous.payouts.pending.net number

Total before tax and other modifiers.

Example100
data.previous.payouts.pending.vat number

Value-added tax amount.

Example100
data.previous.payouts.pending.gross number

Total after tax and other price modifiers.

Example100
data.previous.payouts.draft object

draft within payouts.

ShowHide 4 properties
data.previous.payouts.draft.count number

count within draft.

Example100
data.previous.payouts.draft.net number

Total before tax and other modifiers.

Example100
data.previous.payouts.draft.vat number

Value-added tax amount.

Example100
data.previous.payouts.draft.gross number

Total after tax and other price modifiers.

Example100
data.previous.payouts.paid object

paid within payouts.

ShowHide 4 properties
data.previous.payouts.paid.count number

count within paid.

Example100
data.previous.payouts.paid.net number

Total before tax and other modifiers.

Example100
data.previous.payouts.paid.vat number

Value-added tax amount.

Example100
data.previous.payouts.paid.gross number

Total after tax and other price modifiers.

Example100
data.previous.payouts.overpaid object

overpaid within payouts.

ShowHide 4 properties
data.previous.payouts.overpaid.count number

count within overpaid.

Example100
data.previous.payouts.overpaid.net number

Total before tax and other modifiers.

Example100
data.previous.payouts.overpaid.vat number

Value-added tax amount.

Example100
data.previous.payouts.overpaid.gross number

Total after tax and other price modifiers.

Example100
data.previous.payouts.cancelled object

cancelled within payouts.

ShowHide 4 properties
data.previous.payouts.cancelled.count number

count within cancelled.

Example100
data.previous.payouts.cancelled.net number

Total before tax and other modifiers.

Example100
data.previous.payouts.cancelled.vat number

Value-added tax amount.

Example100
data.previous.payouts.cancelled.gross number

Total after tax and other price modifiers.

Example100
data.previous.payouts.totalCount number

total count within payouts.

Example100
data.previous.payouts.totalNet number

total net within payouts.

Example100
data.previous.payouts.totalVat number

Value-added tax amount.

Example100
data.previous.payouts.totalGross number

total gross within payouts.

Example100
data.previous.expenses object

expenses within previous.

ShowHide 13 properties
data.previous.expenses.count number

count within expenses.

Example100
data.previous.expenses.totalNet number

total net within expenses.

Example100
data.previous.expenses.totalVat number

Value-added tax amount.

Example100
data.previous.expenses.totalGross number

total gross within expenses.

Example100
data.previous.expenses.operatingNet number

operating net within expenses.

Example100
data.previous.expenses.operatingVat number

Value-added tax amount.

Example100
data.previous.expenses.operatingGross number

operating gross within expenses.

Example100
data.previous.expenses.recurringExpenseNet number

recurring expense net within expenses.

Example100
data.previous.expenses.recurringExpenseVat number

Value-added tax amount.

Example100
data.previous.expenses.recurringExpenseGross number

recurring expense gross within expenses.

Example100
data.previous.expenses.taxPaymentNet number

tax payment net within expenses.

Example100
data.previous.expenses.taxPaymentVat number

Value-added tax amount.

Example100
data.previous.expenses.taxPaymentGross number

tax payment gross within expenses.

Example100
data.previous.recurringExpenses object

recurring expenses within previous.

ShowHide 7 properties
data.previous.recurringExpenses.activeCount number

active count within recurring expenses.

Example100
data.previous.recurringExpenses.monthlyNet number

monthly net within recurring expenses.

Example100
data.previous.recurringExpenses.monthlyVat number

Value-added tax amount.

Example100
data.previous.recurringExpenses.monthlyGross number

monthly gross within recurring expenses.

Example100
data.previous.recurringExpenses.annualNet number

annual net within recurring expenses.

Example100
data.previous.recurringExpenses.annualVat number

Value-added tax amount.

Example100
data.previous.recurringExpenses.annualGross number

annual gross within recurring expenses.

Example100
data.previous.profit object

profit within previous.

ShowHide 6 properties
data.previous.profit.salesNet number

sales net within profit.

Example100
data.previous.profit.directCostNet number

direct cost net within profit.

Example100
data.previous.profit.grossProfit number

gross profit within profit.

Example100
data.previous.profit.operatingExpenseNet number

operating expense net within profit.

Example100
data.previous.profit.operatingProfit number

operating profit within profit.

Example100
data.previous.profit.operatingMargin number

operating margin within profit.

Example100
data.previous.vat object

Value-added tax amount.

ShowHide 6 properties
data.previous.vat.output number

output within vat.

Example100
data.previous.vat.inputFromDirectCosts number

input from direct costs within vat.

Example100
data.previous.vat.inputFromOperatingExpenses number

input from operating expenses within vat.

Example100
data.previous.vat.beforeRecordedPayments number

before recorded payments within vat.

Example100
data.previous.vat.recordedPayments number

recorded payments within vat.

Example100
data.previous.vat.remaining number

remaining within vat.

Example0
data.previous.cash object

cash within previous.

ShowHide 6 properties
data.previous.cash.collected number

collected within cash.

Example100
data.previous.cash.outflow number

outflow within cash.

Example100
data.previous.cash.directCostsPaid number

direct costs paid within cash.

Example100
data.previous.cash.expensesPaid number

expenses paid within cash.

Example100
data.previous.cash.beforeRemainingVat number

Value-added tax amount.

Example0
data.previous.cash.afterRemainingVat number

Value-added tax amount.

Example0
data.previous.openItems object

open items within previous.

ShowHide 4 properties
data.previous.openItems.receivable number

receivable within open items.

Example100
data.previous.openItems.payable number

Amount due after all applied modifiers.

Example100
data.previous.openItems.netIfOpenItemsClear number

net if open items clear within open items.

Example100
data.previous.openItems.collectionModifier number

collection modifier within open items.

Example100
data.previous.dataQuality object

data quality within previous.

ShowHide 7 properties
data.previous.dataQuality.invoicesWithoutValueEntries number

invoices without value entries within data quality.

Example100
data.previous.dataQuality.invoicesWithMissingModifiers number

invoices with missing modifiers within data quality.

Example100
data.previous.dataQuality.payoutsWithMissingModifiers number

payouts with missing modifiers within data quality.

Example100
data.previous.dataQuality.expensesWithMissingModifiers number

expenses with missing modifiers within data quality.

Example100
data.previous.dataQuality.unconvertibleInvoices number

unconvertible invoices within data quality.

Example100
data.previous.dataQuality.unconvertiblePayouts number

unconvertible payouts within data quality.

Example100
data.previous.dataQuality.unconvertibleExpenses number

unconvertible expenses within data quality.

Example100
data.previous.topClients object[]

top clients within previous.

ShowHide 4 properties
data.previous.topClients[].id string

Opaque identifier for this resource or reference.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1C
data.previous.topClients[].name string

Display name of the record.

ExampleNQD record
data.previous.topClients[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.previous.topClients[].subtitle string nullable

subtitle within top clients.

ExampleConsulting services
data.previous.topProjects object[]

top projects within previous.

ShowHide 4 properties
data.previous.topProjects[].id string

Opaque identifier for this resource or reference.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1D
data.previous.topProjects[].name string

Display name of the record.

ExampleNQD record
data.previous.topProjects[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.previous.topProjects[].subtitle string nullable

subtitle within top projects.

ExampleConsulting services
data.previous.topVendors object[]

top vendors within previous.

ShowHide 4 properties
data.previous.topVendors[].id string

Opaque identifier for this resource or reference.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1C
data.previous.topVendors[].name string

Display name of the record.

ExampleNQD record
data.previous.topVendors[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.previous.topVendors[].subtitle string nullable

subtitle within top vendors.

ExampleConsulting services
data.previous.topPayoutContacts object[]

top payout contacts within previous.

ShowHide 4 properties
data.previous.topPayoutContacts[].id string

Opaque identifier for this resource or reference.

ExampleConsulting services
data.previous.topPayoutContacts[].name string

Display name of the record.

ExampleNQD record
data.previous.topPayoutContacts[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.previous.topPayoutContacts[].subtitle string nullable

subtitle within top payout contacts.

ExampleConsulting services
data.previous.trend object[]

trend within previous.

ShowHide 7 properties
data.previous.trend[].date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.previous.trend[].salesNet number

sales net within trend.

Example100
data.previous.trend[].directCostNet number

direct cost net within trend.

Example100
data.previous.trend[].operatingExpenseNet number

operating expense net within trend.

Example100
data.previous.trend[].profit number

profit within trend.

Example100
data.previous.trend[].cashIn number

cash in within trend.

Example100
data.previous.trend[].cashOut number

cash out within trend.

Example100
data.previous.history object[]

history within previous.

ShowHide 7 properties
data.previous.history[].date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.previous.history[].salesNet number

sales net within history.

Example100
data.previous.history[].directCostNet number

direct cost net within history.

Example100
data.previous.history[].operatingExpenseNet number

operating expense net within history.

Example100
data.previous.history[].profit number

profit within history.

Example100
data.previous.history[].cashIn number

cash in within history.

Example100
data.previous.history[].cashOut number

cash out within history.

Example100
data.previous.filingChecks object[]

filing checks within previous.

ShowHide 3 properties
data.previous.filingChecks[].id string

Opaque identifier for this resource or reference.

ExampleConsulting services
data.previous.filingChecks[].state string

Current state of the record or operation.

Allowed values: "good", "warn", "bad"

Examplegood
data.previous.filingChecks[].count number nullable

count within filing checks.

Example100
data.previousRange object

previous range for this report.

ShowHide 2 properties
data.previousRange.start string

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-01
data.previousRange.end string

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-31
data.currency object

Referenced currency with its opaque ID and ISO 4217 currency code.

ShowHide 4 properties
data.currency.id string

Opaque identifier for this resource or reference.

Minimum length: 1 character. · Maximum length: 128 characters.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1F
data.currency.code string

ISO 4217 currency code, such as SAR or USD.

Minimum length: 1 character. · Maximum length: 128 characters.

ExampleSAR
data.currency.conversion object

Currency conversion quote used for reporting, including source, target, and rate.

ShowHide 3 properties
data.currency.conversion.from string

ISO 4217 code of the source currency in this persisted quote.

Minimum length: 1 character. · Maximum length: 128 characters.

ExampleSAR
data.currency.conversion.to string

ISO 4217 code of the target reporting currency in this persisted quote.

Minimum length: 1 character. · Maximum length: 128 characters.

ExampleSAR
data.currency.conversion.rate string

Exact decimal conversion rate from the quote source currency to its target currency.

Maximum length: 128 characters.

Example1.00
data.currency.name string

Display name of the record.

ExampleSaudi Riyal
data.period object

period for this report.

ShowHide 5 properties
data.period.startLabel string nullable

start label within period.

ExampleConsulting services
data.period.endLabel string nullable

end label within period.

ExampleConsulting services
data.period.isAllTime boolean

is all time within period.

Exampletrue
data.period.startDate string nullable

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-01
data.period.endDate string nullable

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-31
data.defaultRange object

default range for this report.

ShowHide 2 properties
data.defaultRange.start string

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-01
data.defaultRange.end string

Calendar date in YYYY-MM-DD format for the reporting period.

Example2026-01-31
data.overview object

overview for this report.

ShowHide 18 properties
data.overview.invoices object

invoices within overview.

ShowHide 9 properties
data.overview.invoices.pending object

pending within invoices.

ShowHide 4 properties
data.overview.invoices.pending.count number

count within pending.

Example100
data.overview.invoices.pending.net number

Total before tax and other modifiers.

Example100
data.overview.invoices.pending.vat number

Value-added tax amount.

Example100
data.overview.invoices.pending.gross number

Total after tax and other price modifiers.

Example100
data.overview.invoices.draft object

draft within invoices.

ShowHide 4 properties
data.overview.invoices.draft.count number

count within draft.

Example100
data.overview.invoices.draft.net number

Total before tax and other modifiers.

Example100
data.overview.invoices.draft.vat number

Value-added tax amount.

Example100
data.overview.invoices.draft.gross number

Total after tax and other price modifiers.

Example100
data.overview.invoices.paid object

paid within invoices.

ShowHide 4 properties
data.overview.invoices.paid.count number

count within paid.

Example100
data.overview.invoices.paid.net number

Total before tax and other modifiers.

Example100
data.overview.invoices.paid.vat number

Value-added tax amount.

Example100
data.overview.invoices.paid.gross number

Total after tax and other price modifiers.

Example100
data.overview.invoices.overpaid object

overpaid within invoices.

ShowHide 4 properties
data.overview.invoices.overpaid.count number

count within overpaid.

Example100
data.overview.invoices.overpaid.net number

Total before tax and other modifiers.

Example100
data.overview.invoices.overpaid.vat number

Value-added tax amount.

Example100
data.overview.invoices.overpaid.gross number

Total after tax and other price modifiers.

Example100
data.overview.invoices.cancelled object

cancelled within invoices.

ShowHide 4 properties
data.overview.invoices.cancelled.count number

count within cancelled.

Example100
data.overview.invoices.cancelled.net number

Total before tax and other modifiers.

Example100
data.overview.invoices.cancelled.vat number

Value-added tax amount.

Example100
data.overview.invoices.cancelled.gross number

Total after tax and other price modifiers.

Example100
data.overview.invoices.totalCount number

total count within invoices.

Example100
data.overview.invoices.totalNet number

total net within invoices.

Example100
data.overview.invoices.totalVat number

Value-added tax amount.

Example100
data.overview.invoices.totalGross number

total gross within invoices.

Example100
data.overview.recognized object

recognized within overview.

ShowHide 4 properties
data.overview.recognized.count number

count within recognized.

Example100
data.overview.recognized.net number

Total before tax and other modifiers.

Example100
data.overview.recognized.vat number

Value-added tax amount.

Example100
data.overview.recognized.gross number

Total after tax and other price modifiers.

Example100
data.overview.standaloneIncome object

standalone income within overview.

ShowHide 2 properties
data.overview.standaloneIncome.count number

count within standalone income.

Example100
data.overview.standaloneIncome.net number

Total before tax and other modifiers.

Example100
data.overview.payouts object

payouts within overview.

ShowHide 9 properties
data.overview.payouts.pending object

pending within payouts.

ShowHide 4 properties
data.overview.payouts.pending.count number

count within pending.

Example100
data.overview.payouts.pending.net number

Total before tax and other modifiers.

Example100
data.overview.payouts.pending.vat number

Value-added tax amount.

Example100
data.overview.payouts.pending.gross number

Total after tax and other price modifiers.

Example100
data.overview.payouts.draft object

draft within payouts.

ShowHide 4 properties
data.overview.payouts.draft.count number

count within draft.

Example100
data.overview.payouts.draft.net number

Total before tax and other modifiers.

Example100
data.overview.payouts.draft.vat number

Value-added tax amount.

Example100
data.overview.payouts.draft.gross number

Total after tax and other price modifiers.

Example100
data.overview.payouts.paid object

paid within payouts.

ShowHide 4 properties
data.overview.payouts.paid.count number

count within paid.

Example100
data.overview.payouts.paid.net number

Total before tax and other modifiers.

Example100
data.overview.payouts.paid.vat number

Value-added tax amount.

Example100
data.overview.payouts.paid.gross number

Total after tax and other price modifiers.

Example100
data.overview.payouts.overpaid object

overpaid within payouts.

ShowHide 4 properties
data.overview.payouts.overpaid.count number

count within overpaid.

Example100
data.overview.payouts.overpaid.net number

Total before tax and other modifiers.

Example100
data.overview.payouts.overpaid.vat number

Value-added tax amount.

Example100
data.overview.payouts.overpaid.gross number

Total after tax and other price modifiers.

Example100
data.overview.payouts.cancelled object

cancelled within payouts.

ShowHide 4 properties
data.overview.payouts.cancelled.count number

count within cancelled.

Example100
data.overview.payouts.cancelled.net number

Total before tax and other modifiers.

Example100
data.overview.payouts.cancelled.vat number

Value-added tax amount.

Example100
data.overview.payouts.cancelled.gross number

Total after tax and other price modifiers.

Example100
data.overview.payouts.totalCount number

total count within payouts.

Example100
data.overview.payouts.totalNet number

total net within payouts.

Example100
data.overview.payouts.totalVat number

Value-added tax amount.

Example100
data.overview.payouts.totalGross number

total gross within payouts.

Example100
data.overview.expenses object

expenses within overview.

ShowHide 13 properties
data.overview.expenses.count number

count within expenses.

Example100
data.overview.expenses.totalNet number

total net within expenses.

Example100
data.overview.expenses.totalVat number

Value-added tax amount.

Example100
data.overview.expenses.totalGross number

total gross within expenses.

Example100
data.overview.expenses.operatingNet number

operating net within expenses.

Example100
data.overview.expenses.operatingVat number

Value-added tax amount.

Example100
data.overview.expenses.operatingGross number

operating gross within expenses.

Example100
data.overview.expenses.recurringExpenseNet number

recurring expense net within expenses.

Example100
data.overview.expenses.recurringExpenseVat number

Value-added tax amount.

Example100
data.overview.expenses.recurringExpenseGross number

recurring expense gross within expenses.

Example100
data.overview.expenses.taxPaymentNet number

tax payment net within expenses.

Example100
data.overview.expenses.taxPaymentVat number

Value-added tax amount.

Example100
data.overview.expenses.taxPaymentGross number

tax payment gross within expenses.

Example100
data.overview.recurringExpenses object

recurring expenses within overview.

ShowHide 7 properties
data.overview.recurringExpenses.activeCount number

active count within recurring expenses.

Example100
data.overview.recurringExpenses.monthlyNet number

monthly net within recurring expenses.

Example100
data.overview.recurringExpenses.monthlyVat number

Value-added tax amount.

Example100
data.overview.recurringExpenses.monthlyGross number

monthly gross within recurring expenses.

Example100
data.overview.recurringExpenses.annualNet number

annual net within recurring expenses.

Example100
data.overview.recurringExpenses.annualVat number

Value-added tax amount.

Example100
data.overview.recurringExpenses.annualGross number

annual gross within recurring expenses.

Example100
data.overview.profit object

profit within overview.

ShowHide 6 properties
data.overview.profit.salesNet number

sales net within profit.

Example100
data.overview.profit.directCostNet number

direct cost net within profit.

Example100
data.overview.profit.grossProfit number

gross profit within profit.

Example100
data.overview.profit.operatingExpenseNet number

operating expense net within profit.

Example100
data.overview.profit.operatingProfit number

operating profit within profit.

Example100
data.overview.profit.operatingMargin number

operating margin within profit.

Example100
data.overview.vat object

Value-added tax amount.

ShowHide 6 properties
data.overview.vat.output number

output within vat.

Example100
data.overview.vat.inputFromDirectCosts number

input from direct costs within vat.

Example100
data.overview.vat.inputFromOperatingExpenses number

input from operating expenses within vat.

Example100
data.overview.vat.beforeRecordedPayments number

before recorded payments within vat.

Example100
data.overview.vat.recordedPayments number

recorded payments within vat.

Example100
data.overview.vat.remaining number

remaining within vat.

Example0
data.overview.cash object

cash within overview.

ShowHide 6 properties
data.overview.cash.collected number

collected within cash.

Example100
data.overview.cash.outflow number

outflow within cash.

Example100
data.overview.cash.directCostsPaid number

direct costs paid within cash.

Example100
data.overview.cash.expensesPaid number

expenses paid within cash.

Example100
data.overview.cash.beforeRemainingVat number

Value-added tax amount.

Example0
data.overview.cash.afterRemainingVat number

Value-added tax amount.

Example0
data.overview.openItems object

open items within overview.

ShowHide 4 properties
data.overview.openItems.receivable number

receivable within open items.

Example100
data.overview.openItems.payable number

Amount due after all applied modifiers.

Example100
data.overview.openItems.netIfOpenItemsClear number

net if open items clear within open items.

Example100
data.overview.openItems.collectionModifier number

collection modifier within open items.

Example100
data.overview.dataQuality object

data quality within overview.

ShowHide 7 properties
data.overview.dataQuality.invoicesWithoutValueEntries number

invoices without value entries within data quality.

Example100
data.overview.dataQuality.invoicesWithMissingModifiers number

invoices with missing modifiers within data quality.

Example100
data.overview.dataQuality.payoutsWithMissingModifiers number

payouts with missing modifiers within data quality.

Example100
data.overview.dataQuality.expensesWithMissingModifiers number

expenses with missing modifiers within data quality.

Example100
data.overview.dataQuality.unconvertibleInvoices number

unconvertible invoices within data quality.

Example100
data.overview.dataQuality.unconvertiblePayouts number

unconvertible payouts within data quality.

Example100
data.overview.dataQuality.unconvertibleExpenses number

unconvertible expenses within data quality.

Example100
data.overview.topClients object[]

top clients within overview.

ShowHide 4 properties
data.overview.topClients[].id string

Opaque identifier for this resource or reference.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1C
data.overview.topClients[].name string

Display name of the record.

ExampleNQD record
data.overview.topClients[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.overview.topClients[].subtitle string nullable

subtitle within top clients.

ExampleConsulting services
data.overview.topProjects object[]

top projects within overview.

ShowHide 4 properties
data.overview.topProjects[].id string

Opaque identifier for this resource or reference.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1D
data.overview.topProjects[].name string

Display name of the record.

ExampleNQD record
data.overview.topProjects[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.overview.topProjects[].subtitle string nullable

subtitle within top projects.

ExampleConsulting services
data.overview.topVendors object[]

top vendors within overview.

ShowHide 4 properties
data.overview.topVendors[].id string

Opaque identifier for this resource or reference.

Example01JQ2T5Y5Q3R8W9N6M4K2H7P1C
data.overview.topVendors[].name string

Display name of the record.

ExampleNQD record
data.overview.topVendors[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.overview.topVendors[].subtitle string nullable

subtitle within top vendors.

ExampleConsulting services
data.overview.topPayoutContacts object[]

top payout contacts within overview.

ShowHide 4 properties
data.overview.topPayoutContacts[].id string

Opaque identifier for this resource or reference.

ExampleConsulting services
data.overview.topPayoutContacts[].name string

Display name of the record.

ExampleNQD record
data.overview.topPayoutContacts[].amount number

Exact decimal string used for financial calculations. Do not round or convert it to a display number.

Example100
data.overview.topPayoutContacts[].subtitle string nullable

subtitle within top payout contacts.

ExampleConsulting services
data.overview.trend object[]

trend within overview.

ShowHide 7 properties
data.overview.trend[].date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.overview.trend[].salesNet number

sales net within trend.

Example100
data.overview.trend[].directCostNet number

direct cost net within trend.

Example100
data.overview.trend[].operatingExpenseNet number

operating expense net within trend.

Example100
data.overview.trend[].profit number

profit within trend.

Example100
data.overview.trend[].cashIn number

cash in within trend.

Example100
data.overview.trend[].cashOut number

cash out within trend.

Example100
data.overview.history object[]

history within overview.

ShowHide 7 properties
data.overview.history[].date string

Calendar date in YYYY-MM-DD format for the reporting period.

ExampleConsulting services
data.overview.history[].salesNet number

sales net within history.

Example100
data.overview.history[].directCostNet number

direct cost net within history.

Example100
data.overview.history[].operatingExpenseNet number

operating expense net within history.

Example100
data.overview.history[].profit number

profit within history.

Example100
data.overview.history[].cashIn number

cash in within history.

Example100
data.overview.history[].cashOut number

cash out within history.

Example100
data.overview.filingChecks object[]

filing checks within overview.

ShowHide 3 properties
data.overview.filingChecks[].id string

Opaque identifier for this resource or reference.

ExampleConsulting services
data.overview.filingChecks[].state string

Current state of the record or operation.

Allowed values: "good", "warn", "bad"

Examplegood
data.overview.filingChecks[].count number nullable

count within filing checks.

Example100
data.generatedAt string

ISO 8601 timestamp for generated.

Example2026-01-15T12:00:00.000Z

Possible errors

400 Invalid request

Response headers

x-request-id string

Correlation identifier returned with every response for support and request tracing.

Example550e8400-e29b-41d4-a716-446655440000
error object

Error details returned for a failed request.

ShowHide 4 properties
error.code string

Stable machine-readable error or resource code.

Exampleinvalid_input
error.message string

Human-readable explanation of the result or error.

ExampleThe request could not be validated.
error.requestId string

Correlation identifier for support and request tracing.

Example550e8400-e29b-41d4-a716-446655440000
error.details object nullable

Additional structured details about the result or error.

ShowHide 1 property
error.details.issues object[]

Structured field issues returned when request validation fails.

ShowHide 3 properties
error.details.issues[].path string | number[]

Field path where the validation issue occurred.

One of: string alternative 1, number alternative 2

Example0 items
error.details.issues[].reason string

Machine-readable reason for the validation issue.

Allowed values: "expected_type", "required", "unexpected_property", "invalid_value", "invalid_json", "invalid_query", "unsupported_media_type", "body_too_large", "body_timeout", "conflicting_scope", "missing_header", "concurrency_required", "invalid_resource_id", "invalid_request"

Exampleinvalid_request
error.details.issues[].code string nullable

Stable machine-readable error or resource code.

Exampleinvalid_input
Example 400 response
{
  "error": {
    "code": "invalid_input",
    "message": "The request could not be validated.",
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "details": {
      "issues": [
        {
          "path": [],
          "reason": "invalid_request"
        }
      ]
    }
  }
}
View raw OpenAPI operation

Use the machine-readable contract for client generation and payload validation.

Open OpenAPI contract ↗